OGRE-Next: Ogre::GTKWindow Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::GTKWindow Class Reference

`#include <OgreGTKWindow.h>`

Inheritance diagram for Ogre::GTKWindow:
[legend]

## Public Member Functions
| GTKWindow ()
| ~GTKWindow ()
void | copyContentsToMemory (const Box &src, const PixelBox &dst, FrameBuffer buffer)
void | create (const String &name, unsigned int width, unsigned int height, unsigned int colourDepth, bool fullScreen, int left, int top, bool depthBuffer, void *miscParam,...)
void | destroy ()
OGREWidget * | get_ogre_widget ()
| Get the actual widget that is housing OGRE's GL view.
void | getCustomAttribute (const String &name, void *pData)
| Get a custom, GTK specific attribute.
bool | isActive () const
bool | isClosed () const
bool | pump_events ()
| Pump the main loop to actually generate events.
void | reposition (int left, int top)
bool | requiresTextureFlipping () const
void | resize (unsigned int width, unsigned int height)
void | setFullscreen (bool fullScreen, unsigned int width, unsigned int height)
void | swapBuffers ()

## Constructor & Destructor Documentation

## ◆ GTKWindow()

Ogre::GTKWindow::GTKWindow | ( |  | ) |

## ◆ ~GTKWindow()

Ogre::GTKWindow::~GTKWindow | ( |  | ) |

## Member Function Documentation

## ◆ copyContentsToMemory()

void Ogre::GTKWindow::copyContentsToMemory | ( | const Box & | src,
|  | const PixelBox & | dst,
|  | FrameBuffer | buffer )

## ◆ create()

void Ogre::GTKWindow::create | ( | const String & | name,
|  | unsigned int | width,
|  | unsigned int | height,
|  | unsigned int | colourDepth,
|  | bool | fullScreen,
|  | int | left,
|  | int | top,
|  | bool | depthBuffer,
|  | void * | miscParam,
|  |  | ... )

## ◆ destroy()

void Ogre::GTKWindow::destroy | ( |  | ) |

## ◆ get_ogre_widget()

OGREWidget * Ogre::GTKWindow::get_ogre_widget | ( |  | ) |

Get the actual widget that is housing OGRE's GL view.

## ◆ getCustomAttribute()

void Ogre::GTKWindow::getCustomAttribute | ( | const String & | name,
|  | void * | pData )

Get a custom, GTK specific attribute.

The specific attributes are: GTKMMWINDOW The Gtk::Window instance (Rendering window) GTKGLMMWIDGET The Gtk::GL::DrawingArea instance (Ogre widget)

## ◆ isActive()

bool Ogre::GTKWindow::isActive | ( |  | ) | const

## ◆ isClosed()

bool Ogre::GTKWindow::isClosed | ( |  | ) | const

## ◆ pump_events()

bool Ogre::GTKWindow::pump_events | ( |  | ) |

Pump the main loop to actually generate events.

Returns
  false when there are no events left to pump

## ◆ reposition()

void Ogre::GTKWindow::reposition | ( | int | left,
|  | int | top )

## ◆ requiresTextureFlipping()

bool Ogre::GTKWindow::requiresTextureFlipping | ( |  | ) | const
| inline

## ◆ resize()

void Ogre::GTKWindow::resize | ( | unsigned int | width,
|  | unsigned int | height )

## ◆ setFullscreen()

void Ogre::GTKWindow::setFullscreen | ( | bool | fullScreen,
|  | unsigned int | width,
|  | unsigned int | height )

## ◆ swapBuffers()

void Ogre::GTKWindow::swapBuffers | ( |  | ) |

The documentation for this class was generated from the following file:

- OgreGTKWindow.h